summaryrefslogtreecommitdiffstats
path: root/python/thonny/thonny.SlackBuild
diff options
context:
space:
mode:
author Tim Dickson2018-01-04 02:03:00 +0100
committer Willy Sudiarto Raharjo2018-01-06 00:55:29 +0100
commit82b4a756c03a1bb405c7c61039778d55d3ae11cd (patch)
tree2f91d617e62500b60a7118e6491421c2f8c09059 /python/thonny/thonny.SlackBuild
parent3f9b5fc969255fef9cc41c092ffb8667873e1f66 (diff)
downloadslackbuilds-82b4a756c03a1bb405c7c61039778d55d3ae11cd.tar.gz
python/thonny: Added (simple Python IDE).
Signed-off-by: David Spencer <idlemoor@slackbuilds.org>
Diffstat (limited to 'python/thonny/thonny.SlackBuild')
-rw-r--r--python/thonny/thonny.SlackBuild75
1 files changed, 75 insertions, 0 deletions
diff --git a/python/thonny/thonny.SlackBuild b/python/thonny/thonny.SlackBuild
new file mode 100644
index 0000000000..9ac655d16d
--- /dev/null
+++ b/python/thonny/thonny.SlackBuild
@@ -0,0 +1,75 @@
+#!/bin/sh
+# Slackware build script for thonny
+# Copyright 2017 Tim Dickson, Scotland
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=thonny
+VERSION=${VERSION:-2.1.16}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAME="plas-thonny"
+SRCVER="cf381800c445"
+
+ARCH=noarch
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAME-$SRCVER
+unzip $CWD/$SRCNAME-$SRCVER.zip || unzip $CWD/$SRCVER.zip
+cd $SRCNAME-$SRCVER
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+install -D -m0755 $CWD/$PRGNAM.sh $PKG/usr/bin/$PRGNAM
+
+mkdir -p $PKG/opt/$PRGNAM
+cp -r $PRGNAM/* $PKG/opt/$PRGNAM
+
+mkdir -p $PKG/usr/share/applications
+cp -a packaging/linux/org.$PRGNAM.Thonny.desktop $PKG/usr/share/applications/$PRGNAM.desktop
+
+mkdir -p $PKG/usr/share/pixmaps
+cp -a packaging/icons/$PRGNAM-128x128.png $PKG/usr/share/pixmaps/$PRGNAM.png
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ CHANGELOG.rst LICENSE.txt CONTRIBUTING.rst CREDITS.rst README.rst \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}